Skip to Content
avatar image
Former Member

Unable to deploy Crystal Reports 2013 SP4 silently

I'm trying to deploy it over here. I got the response file created. But the issue is that Crystal Reports setup tries to switch on the .net Framework 3.5 Feature on the target server. Our target servers are Windows 2012 machines and they already got .net Framework 4.5 in them..

So even if i try for a silent installation, there's an error message towards the end of the installation that it failed to turn on the .net framework 3.5 feature on the machine.


I got the command for it. But there's an error message towards the end that I'm unable to suppress.


the command I'm using is "setup.exe -r response.ini -q"

I tried to search for some installation or deployment guide online but in vain


The exact error message is as follows:



The following Feature couldn't be installed:

.Net Framework 3.5(includes .net 2.0 and 3.0)


Windows Server roles and features cannot be automatically installed or uninstalled via the Windows Features Control Panel


To install windows Server roles and features, start Server Manager or use the Server Manager cmdlets.

Please help.

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    Oct 29, 2015 at 09:09 PM

    Hi Promodh,

    When you installed to create the script did it not show you the 3.5 framework was missing?

    Our installer will not install that feature since it's core components to the OS, you need to make sure it is installed first.

    We've let the Product owner know our prerequisite check needs to look for that component.

    Thanks

    Don

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member

      Hi Don,

      With the machine being a Windows 2012 machine, .net Framework 4.5 is already installed in the machine. And it's not allowing .net Framework to be installed separately as well.

  • Oct 29, 2015 at 03:07 PM

    The .NET 3.5 framework is a requirement for running Crystal - even though you have 4.5 installed, you still need 3.5 for a successful Crystal install.  The only thing I can think of would be to make sure .NET 3.5 is installed on the server prior to running your Crystal install.

    -Dell

    Add comment
    10|10000 characters needed characters exceeded

  • Oct 30, 2015 at 05:01 PM

    You will have to contact sales for SP 6 full build.

    NA: 866-681-3435 or 1-800-677-7271

    Worldwide Office Locations | SAP

    - Ludek

    Senior Support Engineer AGS Product Support, Global Support Center Canada

    Follow me on Twitter

    Add comment
    10|10000 characters needed characters exceeded